7

Android, combine application components of different SDK versions

view full story
linux-howto

http://stackoverflow.com – I am looking for an approach, how to combine components of different SDK versions. For example, I have an APP that works fine with minSdkVersion="8". But I would like to have an additional feature, that require minSdkVersion="10". Maybe something like a plugin and load it dynamicaly? If the android device has minSdkVersion="10" it would load that plugin. And by lower versions it would just work with basic functionality with SdkVersion="8". Is there any approach for that? May be create two activities in different package and load one activity from intent as interface? any ideas? (HowTos)